function [r,dr] = Ex1_RxnRate(yc) % r = (1-y)^korder/(1-Kads*y)^2
   global fout symm geom meth Thx Rxvar Korder Kads
   y = min(yc,1.0);
   d1 = (1.0)./(1.0 .- Kads.*y);
   r = (1.0 .- y).*d1.*d1;
   if(Korder == 1)      % 1st order numerator
      dr = ((2.0*Kads).*r .- d1).*d1;
   elseif(Korder == 2)  % 2nd order numerator
      dr = (2.0).*(Kads - 1.0).*r.*d1;
      r = r.*(1.0 - y);
   else                 % kth order numerator
      r = r.*(1.0 .- y)^(Korder-2);
      dr = (2.0*Kads.*(1.0 .- y).*d1 - Korder).*r;
      r = r.*(1.0 .- y);
   end
   if(max(yc) > 1.0)    % linear extrapolation if y > 1.0
      for i=1:size(y)
         if(yc(i) > 1.0)
            r(i) = dr(i)*(yc(i) - 1.0); % linear extrapolation
         end
      end
    end
end
