function [w] = Wpoly(x,symm,geom)
   %  Calculate quadrature weights by integrating interpolating polynomial
   %     x = vector of points
   %     symm - 0/1 nonsymmetric/symmetric
   %     geom - 0,1,2 planar, cylindrical, spherical
   %     w = vector of weights
   %     L(i) = sum(q(i,j)*x^(j-1)) expansion of interpolating polynomial
   % -------------------------------------------------------
   q = Lpoly(x,symm); % expansion of interpolating polynomial
   nt = size(x);
   if(symm)
      e(1:nt,1) = (1.0)./((2.0).*(0:nt-1) + geom + 1.0);
   else
      e(1:nt,1) = (1.0)./(1:nt);
   end
   w = q*e;
end
